Bug 1796617 (CVE-2020-1719) - CVE-2020-1719 Wildfly: EJBContext principal is not popped back after invoking another EJB using a different Security Domain
Summary: CVE-2020-1719 Wildfly: EJBContext principal is not popped back after invoking...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-1719
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1745787
TreeView+ depends on / blocked
 
Reported: 2020-01-30 19:20 UTC by Pedro Sampaio
Modified: 2021-05-27 16:59 UTC (History)
76 users (show)

Fixed In Version: wildfly 20.0.0.Final
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in wildfly. The EJBContext principle is not popped back after invoking another EJB using a different Security Domain. The highest threat from this vulnerability is to data confidentiality and integrity.
Clone Of:
Environment:
Last Closed: 2020-05-12 10:32:09 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:2058 0 None None None 2020-05-11 20:10:39 UTC
Red Hat Product Errata RHSA-2020:2059 0 None None None 2020-05-11 20:13:44 UTC
Red Hat Product Errata RHSA-2020:2060 0 None None None 2020-05-11 20:16:40 UTC
Red Hat Product Errata RHSA-2020:2061 0 None None None 2020-05-11 20:19:49 UTC
Red Hat Product Errata RHSA-2020:2112 0 None None None 2020-05-12 17:17:22 UTC
Red Hat Product Errata RHSA-2020:2905 0 None None None 2020-07-23 07:04:19 UTC
Red Hat Product Errata RHSA-2020:3585 0 None None None 2020-08-31 15:40:54 UTC
Red Hat Product Errata RHSA-2020:3779 0 None None None 2020-09-17 13:08:22 UTC
Red Hat Product Errata RHSA-2020:5568 0 None None None 2020-12-16 12:12:53 UTC

Description Pedro Sampaio 2020-01-30 19:20:15 UTC
A flaw was found in Jboss EAP 7. The EJBContext principal is not popped back after invoking another EJB using a different Security Domain.

References:

https://issues.redhat.com/browse/JBEAP-17430

Comment 14 errata-xmlrpc 2020-05-11 20:10:35 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.2 for RHEL 6

Via RHSA-2020:2058 https://access.redhat.com/errata/RHSA-2020:2058

Comment 15 errata-xmlrpc 2020-05-11 20:13:41 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.2 for RHEL 7

Via RHSA-2020:2059 https://access.redhat.com/errata/RHSA-2020:2059

Comment 16 errata-xmlrpc 2020-05-11 20:16:37 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.2 for RHEL 8

Via RHSA-2020:2060 https://access.redhat.com/errata/RHSA-2020:2060

Comment 17 errata-xmlrpc 2020-05-11 20:19:46 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform

Via RHSA-2020:2061 https://access.redhat.com/errata/RHSA-2020:2061

Comment 18 Product Security DevOps Team 2020-05-12 10:32:09 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-1719

Comment 19 errata-xmlrpc 2020-05-12 17:17:19 UTC
This issue has been addressed in the following products:

  Red Hat Single Sign On 7.3.8

Via RHSA-2020:2112 https://access.redhat.com/errata/RHSA-2020:2112

Comment 20 errata-xmlrpc 2020-07-23 07:04:15 UTC
This issue has been addressed in the following products:

  Red Hat Openshift Application Runtimes

Via RHSA-2020:2905 https://access.redhat.com/errata/RHSA-2020:2905

Comment 21 errata-xmlrpc 2020-08-31 15:40:48 UTC
This issue has been addressed in the following products:

  EAP-CD 20 Tech Preview

Via RHSA-2020:3585 https://access.redhat.com/errata/RHSA-2020:3585

Comment 22 errata-xmlrpc 2020-09-17 13:08:16 UTC
This issue has been addressed in the following products:

  Red Hat Data Grid 7.3.7

Via RHSA-2020:3779 https://access.redhat.com/errata/RHSA-2020:3779

Comment 23 errata-xmlrpc 2020-12-16 12:12:43 UTC
This issue has been addressed in the following products:

  Red Hat Fuse 7.8.0

Via RHSA-2020:5568 https://access.redhat.com/errata/RHSA-2020:5568


Note You need to log in before you can comment on or make changes to this bug.